Support » Plugin: Zendesk Support for WordPress » Site renders Parse error: syntax error, unexpected T_STATIC, expecting ‘)’ in

  • Resolved ddelozier

    (@ddelozier)


    Hello. We updated our WordPress version to 4.7.3 the first week of March and did not notice any issues. Yesterday, our site started rendering the following error on loading the home page:

    Parse error: syntax error, unexpected T_STATIC, expecting ‘)’ in “URL” on “line number“.

    The entire site was down, so we deactivated the Zendesk Support plugin, which was on version 1.7.0 and the site began to render again. We disabled another plugin that we use on the site and tried to re-activate the Zendesk Support plugin in case there was a conflict with that plugin, but Zendesk Support still did not work. We have isolated the issue to the Zendesk Support plugin. We re-activated the other plugin (jetpack) and the site is rendering fine.

    Has anyone else had a recent issue with the Zendesk Support plugin and WordPress 4.7.3?

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Jose Consador

    (@joseconsador)

    Hi,

    Could you post the whole error here? Including the line number and which file it came from so we can help you debug the issue.

    Thanks

    Jose,

    Thanks for taking a look. The issue was on line 65 of /dev/wp-content/plugins/zendesk/classes/zendesk-wordpress-jwt.php. Is that the information you need?

    That was the entire message that displayed.

    Thanks

    Plugin Author zendesk_official

    (@zendesk_official)

    Hello,

    Can we know what version of PHP are you using?

    Thanks

    If you read my post, it says we are using WordPress 4.7.3.

    Thanks

    Plugin Author zendesk_official

    (@zendesk_official)

    Hi ddelozier!

    What i mean is the version of PHP you use to run wordpress. We need to run wordpress on the PHP with the same version as on your server to replicate the issue. 🙂

    So far we’ve tried running wordpress 4.7.3 on php 5.6 and it works fine, we suspect that the version was lower than php 5.6

    Thanks

    I am so sorry! I misread your note. We were on php 5.4 and upgraded to 5.6 based on your recommendation. It seems to be working now. Thank you!

    Plugin Author zendesk_official

    (@zendesk_official)

    Hello

    Good to know! We still be releasing a fix for php 5.4 and below. If anything comes up, you can send a ticket to Zendesk Support

    Thanks!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Site renders Parse error: syntax error, unexpected T_STATIC, expecting ‘)’ in’ is closed to new replies.